/v2/api/namespaces (GET) - User Guide - BlueCat Edge

BlueCat Edge User Guide

ft:locale
en-US
Product name
BlueCat Edge

Returns a list of namespaces associated by site ID, whether the namespace is default or not, by domain list ID, or by IP list ID; if specified.

GET https://api-<BlueCat.edge.url>/v2/api/namespaces
Authorization: Bearer token

OR

GET https://api-<BlueCat.edge.url>/v2/api/namespaces?defaultsOnly={true | false}
Authorization: Bearer token

OR

GET https://api-<BlueCat.edge.url>/v2/api/namespaces?siteId={siteId}
Authorization: Bearer token

OR

GET https://api-<BlueCat.edge.url>/v2/api/namespaces?domainListId={domainListId}
Authorization: Bearer token

OR

GET https://api-<BlueCat.edge.url>/v2/api/namespaces?ipListId={ipListId}
Authorization: Bearer token

Parameters

Name Description Type Required
siteId The site for which you want to view namespace information. If no site is provided, an error is returned. If there is no site with that ID, an empty list is returned. String Optional
defaultsOnly Returns namespaces depending on whether they are default namespaces or not. If set to true, only default namespaces are returned. If set to false, all namespaces are returned, regardless of whether they are default namespaces or not. Boolean Optional
domainListId Returns namespaces containing the specified domain list ID. String Optional
ipListId Returns namespaces containing the specified IP list ID. String Optional

Successful response

200 OK
Content-Type: application/JSON[
    {
        "id": "1234abcd-5678-9012-a1b2-c3d5e6f7",
        "name": "another namespace 2",
        "type": "USER",
        "description": "test-namespace-description-1",
        "isDefault": true,
        "matchLists": [],
        "exceptionLists": [],
        "ipMatchLists": [],
        "ipExceptionLists": [],
        "ttl": 60,
        "staleCacheEntriesTTL": 86400,
        "negativeCacheTTL": 30,
        "ecsConfiguration": {
            "v4Prefix": 24,
            "v6Prefix": 56,
            "override": false
        },
        "retryRCodes": [
            3,
            5
        ],
        "associatedSiteSettings": [
            {
                "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
                "overridingForwarders": []
            }
        ],
        "forwarderType": "UNENCRYPTED",
        "forwarders": [
            "127.0.0.1",
            "8.9.10.11"
        ],
        "forwarderCertificate": "",
        "umbrellaIntegrationId": ""
    },
    {
        "id": "7890abcd-5678-9012-a1b2-c3d5e6f7",
        "name": "discovered namespace",
        "type": "DISCOVERED",
        "description": "A namespace configured to resolve using discovered data",
        "isDefault": true,
        "matchLists": [],
        "exceptionLists": [],
        "ipMatchLists": [],
        "ipExceptionLists": [],
        "ttl": 60,
        "staleCacheEntriesTTL": 86400,
        "negativeCacheTTL": 30,
        "ecsConfiguration": {
            "v4Prefix": 24,
            "v6Prefix": 56,
            "override": false
        },
        "retryRCodes": [
            3,
            5
        ],
        "associatedSiteSettings": [
            {
                "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
                "overridingForwarders": []
            }
        ],
        "forwarders": [
            "127.0.0.1",
            "8.9.10.11"
        ],
        "useSystemResolver": true,
        "discoveryIds": [
            "123aaaaa-aaaa-aaaa-aaaa-aaaaaaaaaaaa",
            "456bbbbb-bbbb-bbbb-bbbb-bbbbbbbbbbbb"
        ],
        "authority": []
        "searchDomains": []
    },
    {
        "id": "7890abcd-5678-9012-a1b2-c3d5e6f7",
        "name": "external namespace",
        "type": "RECURSIVE",
        "description": "A namespace configured to resolve external records",
        "isDefault": true,
        "matchLists": [],
        "exceptionLists": [],
        "ipMatchLists": [],
        "ipExceptionLists": [],
        "ttl": 60,
        "staleCacheEntriesTTL": 86400,
        "negativeCacheTTL": 30,
        "ecsConfiguration": {
            "v4Prefix": 24,
            "v6Prefix": 56,
            "override": false
        },
        "retryRCodes": [
            3,
            5
        ],
        "associatedSiteSettings": [
            {
                "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
                "overridingForwarders": []
            }
        ],
        "enableDnsSec": false,
        "customRootHints": {
            "ttl": 3600,
            "rootServers": [
                {
                    "name": "bluecatnetworks.com",
                    "addresses": [
                        "192.168.0.50",
                        "2001:0db8:85a3:0000:0000:8a2e:0370:7334"
                    ]
                },
                {
                    "name": "bluecatlabs.net",
                    "addresses": [
                        "192.168.0.49"
                    ]
                }
            ]
        }
    }
]
Note: A TTL value of -1 indicates that the cache TTL value is overridden; however, the TTL value of the custom root hint cannot be a negative value.
Possible error codes
  • 500 Internal Server Error - Unexpected error while processing the request